OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Python 2.4 Cannot Import Module, error symbol __register_frame_info
Olivier
post Apr 11 2005, 01:55 PM
Post #1





Group: Members
Posts: 9
Joined: 17-March 05
Member No.: 6,653



I just bought a c3000 and install python from vanilla.de

The core module is OK, but as soon as I want to import a module ( such as math or qt), I have got the error :
symbol __register_frame_info, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

I have got a lib.so.6 on my machine, could you tell me what is wrong.
thank's
blink.gif
Go to the top of the page
 
+Quote Post
Mickeyl
post Apr 11 2005, 02:21 PM
Post #2





Group: Members
Posts: 1,497
Joined: 12-November 03
From: Germany
Member No.: 907



Must have something to do with the build process. The new feed has been done with OpenEmbedded. I haven't got time to look into this yet. I'm open for all kinds of clues...
Go to the top of the page
 
+Quote Post
Olivier
post Apr 12 2005, 03:13 AM
Post #3





Group: Members
Posts: 9
Joined: 17-March 05
Member No.: 6,653



lib folder.
it is linked with libc-2.2.2.so.

Is it OKH

I have installed following ipk:
- libc6 2.2.5-6
- libgcc3.1.1-1
- libglib1.2.0

If it is not good version, please let me know where
I can find good ones...I am not sure which one of these
libs are necessary to run python2.4 under Qtopia

regards
Go to the top of the page
 
+Quote Post
Mickeyl
post Apr 27 2005, 08:20 AM
Post #4





Group: Members
Posts: 1,497
Joined: 12-November 03
From: Germany
Member No.: 907



I have uploaded Python 2.4.1 for the SharpROM to my site. I used a slightly different procedure to compile these. Please test if they now work for you.
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 30th September 2014 - 03:58 PM